DASDFMT(8)

NAME
dasdfmt - formatting of DSAD (ECKD) disk drives.

SYNOPSIS
dasdfmt [-tvyLV] [-b blockSize] [-l diskLabel] diskSpec

DESCRIPTION
dasdfmt formats a DASD (ECKD) disk drive to prepare it for usage with Linux for S/390. WARNING: Incautious usage of dasdfmt can result in LOSS OF DATA.

OPTIONS

-t  Disables any modification of the disk drive. dasdfmt just prints out, what it would do.

-v  Increases verbosity.

-y  Start formatting without further user-confirmation.

-L  Omit the writing of a disk label after formatting.

-V  Print version number and exit.

-F  Formats the device without checking, if the device is mounted or used as swap space.

-b blockSize
    Specify blocksize to be used. blocksize must be a positive integer and always be a power of two. Due due some limitations in the driver, it is strongly recommended to use a blockSize of 4096.

-l diskLabel
    Specify the label to be written to disk after formatting. If no label is specified, a sensible default is used. diskLabel is interpreted as ASCII string and is automatically converted to EBCDIC.

diskSpec
    This parameter specified the device to be formatted. It also can be given in two variants:

        -f /dev/dasdX
    or
        -n devnum

    The first form uses the commonly used UNIX device notation where X is a single lowercase letter. The second form uses simply the device number.

BUGS
None so far ;-)

AUTHOR
This man-page was written by Fritz Elfert <felfert@to.com>